Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EggToBam Class Reference
Inheritance diagram for EggToBam:

## Public Member Functions
void | run ()
Public Member Functions inherited from EggToSomething
| EggToSomething (const std::string &format_name, const std::string &preferred_extension=std::string(), bool allow_last_param=true, bool allow_stdout=true)
| The first parameter to the constructor should be the one-word name of the file format that is to be read, for instance "OpenFlight" or "Alias".
void | add_units_options ()
| Adds -ui and -uo as valid options for this program.
Public Member Functions inherited from EggConverter
| EggConverter (const std::string &format_name, const std::string &preferred_extension=std::string(), bool allow_last_param=true, bool allow_stdout=true)
| The first parameter to the constructor should be the one-word name of the alien file format that is to be read or written, for instance "OpenFlight" or "Alias".
Public Member Functions inherited from EggFilter
| EggFilter (bool allow_last_param=false, bool allow_stdout=true)
Public Member Functions inherited from EggReader
void | add_delod_options (double default_delod=-1.0)
| Adds -delod as a valid option for this program.
void | add_texture_options ()
| Adds -td, -te, etc.
virtual EggReader * | as_reader ()
| Returns this object as an EggReader pointer, if it is in fact an EggReader, or NULL if it is not.
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc.
void | add_points_options ()
| Adds -points as a valid option for this program.
void | add_transform_options ()
| Adds -TS, -TT, etc.
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.
Public Member Functions inherited from EggWriter
| EggWriter (bool allow_last_param=false, bool allow_stdout=true)
| Egg-writing type programs may specify their output file using either the last-filename convention, the -o convention, and/or implicitly writing the result to standard output.
virtual EggWriter * | as_writer ()
| Returns this object as an EggWriter pointer, if it is in fact an EggWriter, or NULL if it is not.
virtual void | post_process_egg_file ()
| Performs any processing of the egg file that is appropriate before writing it out.
void | write_egg_file ()
| Writes out the egg file as the normal result of the program.
Public Member Functions inherited from WithOutputFile
| WithOutputFile (bool allow_last_param, bool allow_stdout, bool binary_output)
void | close_output ()
| Closes the output stream previously opened by get_output().
std::ostream & | get_output ()
| Returns an output stream that corresponds to the user's intended egg file output–either stdout, or the named output file.
Filename | get_output_filename () const
| If has_output_filename() returns true, this is the filename that the user specified.
bool | has_output_filename () const
| Returns true if the user specified an output filename, false otherwise (e.g.

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy.
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

Definition at line 33 of file eggToBam.h.

## Constructor & Destructor Documentation

## ◆ EggToBam()

EggToBam::EggToBam | ( |  | ) |

Definition at line 38 of file eggToBam.cxx.

## Member Function Documentation

## ◆ run()

void EggToBam::run | ( |  | ) |

Definition at line 220 of file eggToBam.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/bam/eggToBam.h
- pandatool/src/bam/eggToBam.cxx